package com.neusoft.smart.pos.inventory.persistent.mapper;

import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsTag;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsTagExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InventoryGoodsTagMapper {
    
    int countByExample(InventoryGoodsTagExample example);
    
    int deleteByExample(InventoryGoodsTagExample example);
    
    int deleteByPrimaryKey(Integer id);
    
    int insert(InventoryGoodsTag record);
    
    int insertSelective(InventoryGoodsTag record);
    
    List<InventoryGoodsTag> selectByExample(InventoryGoodsTagExample example);
    
    InventoryGoodsTag selectByPrimaryKey(Integer id);
    
    int updateByExampleSelective(@Param("record") InventoryGoodsTag record, @Param("example") InventoryGoodsTagExample example);
    
    int updateByExample(@Param("record") InventoryGoodsTag record, @Param("example") InventoryGoodsTagExample example);
    
    int updateByPrimaryKeySelective(InventoryGoodsTag record);
    
    int updateByPrimaryKey(InventoryGoodsTag record);
    
    void batchInsert(@Param("items") List<InventoryGoodsTag> items);
}